UpdateFunction
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.UpdateFunction(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceUpdateFunctionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functions.updateFunction();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/functions/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"function": {
"description": "<string>",
"displayName": "<string>",
"head": "<string>",
"id": "<string>",
"isDraft": true,
"outboundNetworkAllowlist": [
"<string>"
],
"publishedCommitId": "<string>",
"scopedRoleIds": [
"<string>"
],
"secret": {}
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/functions/update"
payload = {
"function": {
"description": "<string>",
"displayName": "<string>",
"head": "<string>",
"id": "<string>",
"isDraft": True,
"outboundNetworkAllowlist": ["<string>"],
"publishedCommitId": "<string>",
"scopedRoleIds": ["<string>"],
"secret": {}
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
function: {
description: '<string>',
displayName: '<string>',
head: '<string>',
id: '<string>',
isDraft: true,
outboundNetworkAllowlist: ['<string>'],
publishedCommitId: '<string>',
scopedRoleIds: ['<string>'],
secret: {}
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/functions/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"function": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"head": "<string>",
"id": "<string>",
"isDraft": true,
"outboundNetworkAllowlist": [
"<string>"
],
"publishedCommitId": "<string>",
"scopedRoleIds": [
"<string>"
],
"secret": {},
"updatedAt": "2023-11-07T05:31:56Z",
"useSpn": true
}
}Function
Update Function
Update an existing function’s metadata. Also the publish path: set function.published_commit_id and include “published_commit_id” in update_mask to make a commit the default runnable version.
POST
/
api
/
v1
/
functions
/
update
UpdateFunction
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Functions.UpdateFunction(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.FunctionsServiceUpdateFunctionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.functions.updateFunction();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Response
200 - application/json
Successful response
The FunctionsServiceUpdateFunctionResponse message.
Function represents a customer-provided code extension in the API
Show child attributes
Show child attributes
Was this page helpful?
⌘I